Users
Update user settings
Merge user preference updates while preserving unrelated settings.
PATCH
/
v1
/
users
/
{userId}
/
settings
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const setting = await client.users.settings.update('userId', {});curl --request PATCH \
--url https://api.tembo.io/v1/users/{userId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"autoRestartVm": true,
"defaultProjectId": "<string>",
"gpgKey": "<string>",
"includeTemboCommitAttribution": true,
"desktopNotificationsEnabled": true,
"desktopNotificationPreferences": {
"awaitingApproval": true,
"pullRequestOpened": true,
"pullRequestReviewRequested": true
},
"appearancePreferences": {
"accentTheme": {
"themeId": "<string>",
"customSurface": "<string>",
"customAccent": "<string>",
"customIntensity": 1.125,
"systemLight": "<string>",
"systemDark": "<string>"
}
},
"appSidebarPreferences": {
"open": true,
"showArchivedSessions": true,
"width": 5000,
"rightSidebar": {}
},
"diffPreferences": {
"showLineNumbers": true,
"expandUnchanged": true,
"showFileTree": true,
"lightTheme": "<string>",
"darkTheme": "<string>"
},
"dashboardPreferences": {
"taskFilters": {
"statusFilter": [
"<string>"
],
"searchQuery": "<string>",
"integrationType": [
"<string>"
],
"externalId": "<string>",
"projectFilter": [
"<string>"
],
"authorFilter": [
"<string>"
],
"prStatusFilter": [
"<string>"
],
"automationFilter": [
"<string>"
]
}
},
"composerPreferences": {
"lastSelectedRepositories": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>"
}
]
},
"reviewPreferences": {
"excludedFilePatterns": [
"<string>"
],
"sections": {},
"hideBotComments": true,
"layout": {
"focusChatHeight": 123,
"activeTab": "<string>",
"activeViewMode": "<string>",
"focusChatOpen": true,
"focusMode": true,
"leftDesktopSidebarOpen": true,
"leftDesktopSidebarWidth": 5000,
"rightDesktopSidebarOpen": true,
"rightDesktopSidebarWidth": 5000
}
},
"diffLightTheme": "<string>",
"diffDarkTheme": "<string>",
"defaultAgent": "<string>"
}
'import requests
url = "https://api.tembo.io/v1/users/{userId}/settings"
payload = {
"autoRestartVm": True,
"defaultProjectId": "<string>",
"gpgKey": "<string>",
"includeTemboCommitAttribution": True,
"desktopNotificationsEnabled": True,
"desktopNotificationPreferences": {
"awaitingApproval": True,
"pullRequestOpened": True,
"pullRequestReviewRequested": True
},
"appearancePreferences": { "accentTheme": {
"themeId": "<string>",
"customSurface": "<string>",
"customAccent": "<string>",
"customIntensity": 1.125,
"systemLight": "<string>",
"systemDark": "<string>"
} },
"appSidebarPreferences": {
"open": True,
"showArchivedSessions": True,
"width": 5000,
"rightSidebar": {}
},
"diffPreferences": {
"showLineNumbers": True,
"expandUnchanged": True,
"showFileTree": True,
"lightTheme": "<string>",
"darkTheme": "<string>"
},
"dashboardPreferences": { "taskFilters": {
"statusFilter": ["<string>"],
"searchQuery": "<string>",
"integrationType": ["<string>"],
"externalId": "<string>",
"projectFilter": ["<string>"],
"authorFilter": ["<string>"],
"prStatusFilter": ["<string>"],
"automationFilter": ["<string>"]
} },
"composerPreferences": { "lastSelectedRepositories": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>"
}
] },
"reviewPreferences": {
"excludedFilePatterns": ["<string>"],
"sections": {},
"hideBotComments": True,
"layout": {
"focusChatHeight": 123,
"activeTab": "<string>",
"activeViewMode": "<string>",
"focusChatOpen": True,
"focusMode": True,
"leftDesktopSidebarOpen": True,
"leftDesktopSidebarWidth": 5000,
"rightDesktopSidebarOpen": True,
"rightDesktopSidebarWidth": 5000
}
},
"diffLightTheme": "<string>",
"diffDarkTheme": "<string>",
"defaultAgent": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
autoRestartVm: true,
defaultProjectId: '<string>',
gpgKey: '<string>',
includeTemboCommitAttribution: true,
desktopNotificationsEnabled: true,
desktopNotificationPreferences: {
awaitingApproval: true,
pullRequestOpened: true,
pullRequestReviewRequested: true
},
appearancePreferences: {
accentTheme: {
themeId: '<string>',
customSurface: '<string>',
customAccent: '<string>',
customIntensity: 1.125,
systemLight: '<string>',
systemDark: '<string>'
}
},
appSidebarPreferences: {open: true, showArchivedSessions: true, width: 5000, rightSidebar: {}},
diffPreferences: {
showLineNumbers: true,
expandUnchanged: true,
showFileTree: true,
lightTheme: '<string>',
darkTheme: '<string>'
},
dashboardPreferences: {
taskFilters: {
statusFilter: ['<string>'],
searchQuery: '<string>',
integrationType: ['<string>'],
externalId: '<string>',
projectFilter: ['<string>'],
authorFilter: ['<string>'],
prStatusFilter: ['<string>'],
automationFilter: ['<string>']
}
},
composerPreferences: {
lastSelectedRepositories: [{id: '<string>', name: '<string>', type: '<string>'}]
},
reviewPreferences: {
excludedFilePatterns: ['<string>'],
sections: {},
hideBotComments: true,
layout: {
focusChatHeight: 123,
activeTab: '<string>',
activeViewMode: '<string>',
focusChatOpen: true,
focusMode: true,
leftDesktopSidebarOpen: true,
leftDesktopSidebarWidth: 5000,
rightDesktopSidebarOpen: true,
rightDesktopSidebarWidth: 5000
}
},
diffLightTheme: '<string>',
diffDarkTheme: '<string>',
defaultAgent: '<string>'
})
};
fetch('https://api.tembo.io/v1/users/{userId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"autoRestartVm": true,
"defaultProjectId": "<string>",
"gpgKey": "<string>",
"includeTemboCommitAttribution": true,
"desktopNotificationsEnabled": true,
"desktopNotificationPreferences": {
"awaitingApproval": true,
"pullRequestOpened": true,
"pullRequestReviewRequested": true
},
"appearancePreferences": {
"appTheme": "light",
"accentTheme": {
"themeId": "<string>",
"customSurface": "<string>",
"customAccent": "<string>",
"customIntensity": 123,
"systemLight": "<string>",
"systemDark": "<string>"
}
},
"appSidebarPreferences": {
"open": true,
"sessionOwnerScope": "mine",
"sessionSortBy": "createdAt",
"sessionOrganization": "list",
"showArchivedSessions": true,
"width": 123,
"rightSidebar": {}
},
"diffPreferences": {
"style": "unified",
"indicators": "classic",
"overflow": "scroll",
"showLineNumbers": true,
"expandUnchanged": true,
"showFileTree": true,
"fileTreePosition": "left",
"fileTreeView": "list",
"lightTheme": "<string>",
"darkTheme": "<string>"
},
"dashboardPreferences": {
"taskFilters": {
"statusFilter": [
"<string>"
],
"sortBy": "createdAt",
"searchQuery": "<string>",
"integrationType": [
"<string>"
],
"externalId": "<string>",
"projectFilter": [
"<string>"
],
"authorFilter": [
"<string>"
],
"prStatusFilter": [
"<string>"
],
"automationFilter": [
"<string>"
]
}
},
"composerPreferences": {
"lastSelectedRepositories": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>"
}
]
},
"reviewPreferences": {
"fileSortMode": "tree",
"excludedFilePatterns": [
"<string>"
],
"sections": {},
"hideBotComments": true,
"layout": {
"focusChatHeight": 123,
"activeTab": "<string>",
"activeViewMode": "<string>",
"focusChatOpen": true,
"focusMode": true,
"leftDesktopSidebarOpen": true,
"leftDesktopSidebarWidth": 123,
"rightDesktopSidebarOpen": true,
"rightDesktopSidebarWidth": 123
}
},
"diffLightTheme": "<string>",
"diffDarkTheme": "<string>",
"defaultAgent": "<string>",
"followUpBehavior": "queue",
"codexConnected": true,
"superGrokConnected": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 255Body
application/json
Required string length:
1 - 255Maximum string length:
32768Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
255Maximum string length:
255Maximum string length:
255Pattern:
^[^:]+:[^:]+(?::[^:]+)?$Available options:
queue, steer Response
Update user settings
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^[^:]+:[^:]+(?::[^:]+)?$Available options:
queue, steer Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const setting = await client.users.settings.update('userId', {});